commit 7cd284df245b6eeff40d19d3f0c34ea0724968d1
Author: freddy77 <freddy77>
Date:   Thu May 21 21:58:42 2009 +0000

    update notes

diff --git a/ChangeLog b/ChangeLog
index 7892c24..60f661c 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Thu May 21 23:58:34 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* TODO.freddy src/odbc/unittests/blob1.c: update notes
+
 Thu May 21 18:41:21 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/prepare_query.c src/odbc/unittests/blob1.c:
 	- support wchar -> binary conversions
@@ -1570,4 +1573,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2794 2009/05/21 16:41:27 freddy77 Exp $
+$Id: ChangeLog,v 1.2795 2009/05/21 21:58:42 freddy77 Exp $
diff --git a/TODO.freddy b/TODO.freddy
index d84a9d4..8668fb5 100644
--- a/TODO.freddy
+++ b/TODO.freddy
@@ -46,16 +46,10 @@ Free unused cursors and dynamic and/or reuse them
 ODBC SQL_C_CHAR with wide
 -------------------------
 Check iso8859-1 for single ??
-test to review
-- data.c (char -> sql_c_char) DONE
-- genparams.c DONE
-- getdata.c DONE
-- putdata.c DONE
-- blob1.c (SQLGetData test with binary -> char and between chars)
 Is it possible to support direct binding for parameters using different
 encodings? For instance client <-> server iso8859-1 <-> ucs2. It should be
 possible changing TDSCOLUMN->char_conv.
-Merge putdata and blob1 tests, tests (W)CHAR/BINARY -> (W)CHAR/BINARY (9 cases).
+Merge putdata and blob1 tests.
 Check blob1 dialog, seems to prepare twice during insert.
 Do merge a bit continue_parse_prepared_query and odbc_sql2tds ??
 
diff --git a/src/odbc/unittests/blob1.c b/src/odbc/unittests/blob1.c
index 04cd1e3..2339bea 100755
--- a/src/odbc/unittests/blob1.c
+++ b/src/odbc/unittests/blob1.c
@@ -5,7 +5,7 @@
 #include <ctype.h>
 #include <assert.h>
 
-static char software_version[] = "$Id: blob1.c,v 1.19 2009/05/21 16:41:27 freddy77 Exp $";
+static char software_version[] = "$Id: blob1.c,v 1.20 2009/05/21 21:58:43 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #define NBYTES 10000
@@ -261,6 +261,7 @@ main(int argc, char **argv)
 	use_odbc_version3 = 1;
 	Connect();
 
+	/* tests (W)CHAR/BINARY -> (W)CHAR/BINARY (9 cases) */
 	add_test(SQL_C_BINARY, SQL_LONGVARCHAR,   "TEXT",  123, 1 );
 	add_test(SQL_C_BINARY, SQL_LONGVARBINARY, "IMAGE", 987, 25);
 	add_test(SQL_C_CHAR,   SQL_LONGVARBINARY, "IMAGE", 987, 25);

